# --------------------------------
# the index controller, used to determine where the user should go
# --------------------------------
bazookas_admin_homepage:
    path:     /
    defaults: { _controller: BazookasAdminBundle:Dashboard:index }

bazookas_admin_dashboard:
    path:     /dashboard
    defaults: { _controller: BazookasAdminBundle:Dashboard:dashboard }

# --------------------------------
# fos_userbundle security routes
# --------------------------------
fos_user_security_login:
    path: /login
    defaults: { _controller: FOSUserBundle:Security:login }

fos_user_security_check:
    path: /login_check
    defaults: { _controller: FOSUserBundle:Security:check }

fos_user_security_logout:
    path: /logout
    defaults: { _controller: FOSUserBundle:Security:logout }

fos_user_profile:
    resource: "@FOSUserBundle/Resources/config/routing/profile.xml"
    prefix: /profile

fos_user_change_password:
    resource: "@FOSUserBundle/Resources/config/routing/change_password.xml"
    prefix: /profile

fos_user_resetting:
    resource: "@FOSUserBundle/Resources/config/routing/resetting.xml"
    prefix: /resetting

fos_user_registration:
    resource: "@FOSUserBundle/Resources/config/routing/registration.xml"
    prefix: /registration

# --------------------------------
# Admin Controllers
# --------------------------------
admin_cms_user:
    path:     /cms-user/{_action}/{_id}
    defaults:
      _controller: BazookasAdminBundle:AdminController/BaseCMSUserAdmin:index
      _action: ~
      _id: ~

admin_cms_user_group:
    path:     /cms-user-group/{_action}/{_id}
    defaults:
      _controller: BazookasAdminBundle:AdminController/BaseUserGroupAdmin:index
      _action: ~
      _id: ~

#Deprecated, to be removed in v2
cms_user_admin:
    path:     /user/{_action}/{_id}
    defaults:
      _controller: BazookasAdminBundle:AdminController\CMSUserAdmin:index
      _action: ~
      _id: ~

#Deprecated, to be removed in v2
cms_user_group_admin:
    path:     /userGroup/{_action}/{_id}
    defaults:
      _controller: BazookasAdminBundle:AdminController\CMSUserGroupAdmin:index
      _action: ~
      _id: ~

admin_copy:
    path: /copy/{_action}/{_id}
    defaults:
      _controller: BazookasAdminBundle:AdminController/CopyAdmin:index
      _action: ~
      _id: ~
